<?php
// création du tableau
$tab = array(10, 15, 20, 25);

echo "--- foreach : contenu et indices d'un tableau d'entiers ---".PHP_EOL;
foreach ($tab as $indice => $valeur)
{
  echo '$indice = '.$indice.'  $valeur='.$valeur.PHP_EOL;
}
// boucle de calcul
echo "--- calcul sur le tableau d'entiers ---".PHP_EOL;
foreach ($tab as &$ref)
{
  $ref = $ref * 2;
  echo '$ref='.$ref.PHP_EOL;
}
//unset($ref); // Détruit la référence sur le dernier élément

echo "--- foreach : contenu et indices d'un tableau d'entiers ---".PHP_EOL;
foreach ($tab as $indice => $valeur)
{
  echo '$indice = '.$indice.'  $valeur='.$valeur.PHP_EOL;
}
?>
